diff mbox series

[07/13] generic/131: Clean up pid variables

Message ID 20190918041558.2621-8-ira.weiny@intel.com (mailing list archive)
State New, archived
Headers show
Series Fix locktest and add lease testing to it | expand

Commit Message

Ira Weiny Sept. 18, 2019, 4:15 a.m. UTC
From: Ira Weiny <ira.weiny@intel.com>

Change the name of the variables to reflect the client vs server.  This
will help in future patches.

Signed-off-by: Ira Weiny <ira.weiny@intel.com>
---
 tests/generic/131 | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)
diff mbox series

Patch

diff --git a/tests/generic/131 b/tests/generic/131
index e8cdd48e8667..c333e676e8f9 100755
--- a/tests/generic/131
+++ b/tests/generic/131
@@ -17,8 +17,8 @@  trap "_cleanup; exit \$status" 0 1 2 3 15
 
 _cleanup()
 {
-    kill $locktest_pid2 > /dev/null 2>&1
-    kill $locktest_pid1 > /dev/null 2>&1
+	kill $client_pid > /dev/null 2>&1
+	kill $server_pid > /dev/null 2>&1
 }
 
 # get standard environment, filters and checks
@@ -38,7 +38,7 @@  touch $TEST_DIR/server.out
 
 # Start the server
 src/locktest $TESTFILE 2>&1 > $TEST_DIR/server.out &
-locktest_pid1=$!
+server_pid=$!
 
 timeout=30
 while [ $timeout -gt 0 ]; do
@@ -50,7 +50,7 @@  while [ $timeout -gt 0 ]; do
 	fi
 
 	# check the existence of server process
-	if ! kill -s 0 $locktest_pid1 >/dev/null 2>&1; then
+	if ! kill -s 0 $server_pid >/dev/null 2>&1; then
 		echo "Server died abnormally"
 		exit 1
 	fi
@@ -65,7 +65,7 @@  fi
 
 # Start the client
 src/locktest -p $PORT -h localhost $TESTFILE 2>&1 > $TEST_DIR/client.out
-locktest_pid2=$!
+client_pid=$!
 result=$?
 if [ $result -eq 0 ]; then
 	echo success!